Show / Hide Table of Contents

# Class GameNetwork

##### Inheritance

System.Object
GameNetwork

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Network

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameNetwork : IDisposable

### Constructors

#### GameNetwork(Dalamud, SigScanner)

##### Declaration

    public GameNetwork(Dalamud dalamud, SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |
SigScanner | scanner |

### Fields

#### OnZonePacket

##### Declaration

    public GameNetwork.OnZonePacketDelegate OnZonePacket

##### Field Value

Type | Description
--- | ---
GameNetwork.OnZonePacketDelegate |

### Methods

#### Dispose()

##### Declaration

    public void Dispose()

#### Enable()

##### Declaration

    public void Enable()

### Implements

System.IDisposable